libjnidispatch-4.2.2-43.3.x86_64.rpm


Advertisement

Description

libjnidispatch - Java Native Access (shared library)

Distribution: openSUSE 42.1
Repository: openSUSE JAVA all
Package name: libjnidispatch
Package version: 4.2.2
Package release: 43.3
Package architecture: x86_64
Package type: rpm
Installed size: 79.74 KB
Download size: 32.44 KB
Official Mirror: ftp.gwdg.de
Native library stub to dynamically invoke native code used by Java Native Access library.

Alternatives

Provides

  • jna-native = 4.2.2-43.3
  • libjnidispatch = 4.2.2-43.3
  • libjnidispatch(x86-64) = 4.2.2-43.3
  • libjnidispatch.so()(64bit)

Obsoletes

  • jna-native < 4.2.2-43.3

    Install Howto

    1. Add the openSUSE JAVA repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_42.1/ opensuse-java
    2. Install libjnidispatch rpm package:
      # zypper install libjnidispatch

    Files

    • /usr/lib64/libjnidispatch.so
    • /usr/share/doc/packages/libjnidispatch/LICENSE

    Changelog

    2017-02-24 - msuchanek@suse.com - Upstream version 4.2.2 * adds some symbols needed by Arduino IDE.

    2016-03-18 - bwiedemann@suse.com - Add reproducible.patch to fix build-compare

    2015-11-08 - p.drouand@gmail.com - Update to version 4.2.1 * Add support for linux-sparcv9. * Added `GetCommState`, `GetCommTimeouts` `SetCommState` and `SetCommTimeouts` to `com.sun.jna.platform.win32.Kernel32`. Added `DCB` structure to `com.sun.jna.platform.win32.WinBase. * Make loading debug flags mutable. * Added `host_processor_info` to `com.sun.jna.platform.mac.SystemB`. * Added JNA functional overview. * Update linux-arm natives omitted in 4.2. - Update jna-4.1.0-build.patch > jna-build.patch

    2015-03-18 - tchvatal@suse.com - Fix build with new javapackages-tools

    2014-11-03 - cbosdonnat@suse.com - Updated to 4.1.0. See the changelog on: https://github.com/twall/jna/blob/master/CHANGES.md - Updated jna-3.4.0-build.patch into jna-4.1.0-build.patch - Added libjnidispatch.rpmlintrc to silence warning about explicit library dependency between jna and libjnidistach: rpm doesn't detect library dependencies on Java packages, we need to force it. - Removed libffi patches: now using the libffi package. * libffi-aarch64.patch * libffi-ppc64le.patch - Added rpmlint filters: * libjnidispatch-rpmlintrc

    2014-07-08 - tchvatal@suse.com - Do not depend on ant-trax and run spec-cleaner.

    2013-12-09 - dvaleev@suse.com - enable ppc64le - added patches: * libffi-ppc64le.patch

    2013-09-11 - mvyskocil@suse.com - use add_maven_depmap from javapackages-tools

    2013-09-09 - tchvatal@suse.com - Move from jpackage-utils to javapackage-tools

    2013-04-11 - schwab@suse.de - libffi-aarch64.patch: import aarch64 support for libffi

    Advertisement
    Advertisement